<?php


// No direct access.
defined('_JEXEC') or die;

class plgContentExtrandomhtml extends JPlugin {
	public function onContentAfterDisplay($context, &$row, &$params, $page=0)	{	
		if($context == 'com_content.article') {			
			//exclude
			$ext_exclude_categories 	= $this->params->get('ext_exclude_categories', 0);
			$ext_exclude_articles 	= $this->params->get('ext_exclude_articles', '');			
			//exclude category
			if(!empty($ext_exclude_categories) AND strlen(array_search($row->catid, $ext_exclude_categories))){			
				return false;
			}			
			//exclude article 
			$excludeArray = explode(",",$ext_exclude_articles);
			if(!empty($ext_exclude_articles) AND strlen(array_search($row->id, $excludeArray))){
				return false;
			}			
			//Basic options
			$ext_display			= (int)$this->params->get('ext_display', 0);
			$ext_introtext			= (int)$this->params->get('ext_introtext', 1);
			
			$names = array('ext_html');
			$max = 10;
			foreach($names as $name) {
				${$name} = array();
				for($i = 1; $i <= $max; ++$i) {
					${$name}[] = $this->params->get($name . $i);
				}
			}

			$ext_code= array();	
			for($n=0;$n < count($ext_html);$n++) {	
				if( $ext_html[$n] != '') {
					$ext_code[] = $ext_html[$n];
				}
			}
			
			srand ((double) microtime() * 1000000);
			$ext_random_number = rand(0,count($ext_code)-1);			
			$html = '<div class="ext-random-html">'.$ext_code[$ext_random_number].'<div style="clear:both;"></div></div>';
			
			// display code
			if ($ext_display > 0) {
				if ($ext_introtext > 0) {
					$row->introtext = $html . $row->introtext;
				}
				$row->text = $html . $row->text;	
				
			} else {					
					if ($ext_introtext > 0) {
						$row->introtext .= $html;
					}
					$row->text .= $html;
				}
			
			return;
		}
	}
}